<html>
	<head>
	
	</head>
	
	<body>
		<input id="myInput"/>
		<button id="saveButton">Save</button>
		<p id="locationParagraph"></p>
		<a id="mapLink" href="#" target="_blank">open on a map</a>
		<script>
			//document.getElementById("myInput").value = sessionStorage.getItem("myInput");
			document.getElementById("myInput").value = localStorage.getItem("myInput");
			document.getElementById("saveButton").onclick = function(){
				localStorage.setItem("myInput", document.getElementById("myInput").value);
				//sessionStorage.setItem("myInput", document.getElementById("myInput").value);
			};
			

			navigator.geolocation.getCurrentPosition(showPosition);

			function showPosition(position) {
			  document.getElementById("locationParagraph").innerHTML = "Latitude: " + position.coords.latitude +
			  "<br>Longitude: " + position.coords.longitude;
			  document.getElementById("mapLink").href = "https://www.google.com/maps/place/"+ position.coords.latitude + ","+ position.coords.longitude;
			};
		</script>
	</body>
</html>